<form
  class="card red lighten-5"
  [formGroup]="form"
  (ngSubmit)="onSubmit()"
>
  <div class="card-image" style="margin: 15px;padding-top: 15px">
    <img src="assets/edit3.png" style="margin-top: 20px">
  </div>
  <div class="card-content">

    <span class="card-title">Войти в систему</span>
    <div class="input-field">
      <input
        formControlName="email"
        id="email"
        type="email"
        [ngClass]="{'invalid': form.get('email').invalid && form.get('email').touched}"
      >
      <label for="email">Email:</label>
      <span
        class="helper-text red-text"
        *ngIf="form.get('email').invalid && form.get('email').touched"
      >
        <span *ngIf="form.get('email').errors['required']">Email не должен быть пустым</span>
        <span *ngIf="form.get('email').errors['email']">Введите корректный email адрес</span>
      </span>
    </div>
    <div class="input-field">
      <input
        id="password"
        type="password"
        formControlName="password"
        [ngClass]="{'invalid': form.get('password').invalid && form.get('password').touched}"
      >
      <label for="password">Пароль:</label>
      <span
        class="helper-text red-text"
        *ngIf="form.get('password').invalid && form.get('password').touched"
      >
        <span *ngIf="form.get('password').errors['required']">Пароль не должен быть пустым</span>
        <span
          *ngIf="form.get('password').errors['minlength'] && form.get('password').errors['minlength']['requiredLength']">
          Пароль должен быть больше {{form.get('password').errors['minlength']['requiredLength']}} символов.
          Сейчас {{form.get('password').errors['minlength']['actualLength']}}
        </span>
      </span>
    </div>
  </div>
  <div class="card-action">
    <button
      type="submit"
      class="modal-action btn waves-effect"
      [disabled]="form.invalid || form.disabled"
    >
      Войти
    </button>
  </div>
</form>
